Loading...
Searching...
No Matches
cert::ServerSSLCert::CertInfo Struct Reference

Certificate information. More...

`import <ServerSSLCert.idl;`

## Public Attributes

CommonAttributes | subject
| Subject attributes.
CommonAttributes | issuer
| Issuer attributes.
vector< string > | names
| DNS names and/or IP addresses.
string | invalidBefore
| Begin of validity period.
string | invalidAfter
| End of validity period.
string | serialNumber
| Serial number.
KeyInfo | keyInfo
| Key information.

## Detailed Description

Certificate information.

Definition at line 87 of file ServerSSLCert.idl.

## Member Data Documentation

## invalidAfter

string cert::ServerSSLCert::CertInfo::invalidAfter

End of validity period.

Definition at line 92 of file ServerSSLCert.idl.

## invalidBefore

string cert::ServerSSLCert::CertInfo::invalidBefore

Begin of validity period.

Definition at line 91 of file ServerSSLCert.idl.

## issuer

CommonAttributes cert::ServerSSLCert::CertInfo::issuer

Issuer attributes.

Definition at line 89 of file ServerSSLCert.idl.

## keyInfo

KeyInfo cert::ServerSSLCert::CertInfo::keyInfo

Key information.

Definition at line 94 of file ServerSSLCert.idl.

## names

vector<string> cert::ServerSSLCert::CertInfo::names

DNS names and/or IP addresses.

Definition at line 90 of file ServerSSLCert.idl.

## serialNumber

string cert::ServerSSLCert::CertInfo::serialNumber

Serial number.

Definition at line 93 of file ServerSSLCert.idl.

## subject

CommonAttributes cert::ServerSSLCert::CertInfo::subject

Subject attributes.

Definition at line 88 of file ServerSSLCert.idl.

The documentation for this struct was generated from the following file:

- ServerSSLCert.idl